Skip to content

Workspace


Endpoints

GET       /workspaces
GET       /workspaces/:id
POST      /workspaces
PUT       /workspaces/:id
DELETE    /workspaces/:id

A workspace is a grouping of all entities used inside the Everysk platform. Inside a workspace you have access to portfolios, datastores, reports, custom indexes, files, workflows and report templates.

The workspace object

What a workspace object looks like?

{
  "updated": 1625775417,
  "description": "This is my first workspace",
  "name": "sandbox",
  "created": 1625775417
}
Property Description
name string A unique identifier (UID) for the workspace.
created timestamp Time at which the workspace was created. Measured in seconds since the Unix epoch.
updated timestamp Time at which the workspace was updated. Measured in seconds since the Unix epoch.
description string An arbitrary string attached to the report. Often useful for finding detailed information about the report or for filtering a search based on the present hashtags.
version string Indicates the workspace's current version.

Creating a workspace

To create a new workspace, run the following:

curl https://api.everysk.com/v2/workspaces \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -d '{
        "name": "sandbox",
        "description": "This is my first workspace"
      }' \
  -X POST

The above call returns the following JSON object:

{
  "workspace": {
    "updated": 1625775417,
    "description": "This is my first workspace",
    "name": "sandbox",
    "created": 1625775417
  }
}

Creates and then returns the new workspace.

HTTP Request

POST /workspaces

HTTP Parameters

Parameter Description
name string REQUIRED A unique identifier (UID) for the workspace. Every workspace name must have no spaces between the words.
description string optional, default is null Provides detailed information about your workspace. You may add hashtags to create tags allowing you to search for them later.

List all workspaces

To list all workspaces, run the following:

curl https://api.everysk.com/v2/workspaces \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -G

The above call returns the following JSON object:

{
  "workspaces": [
    {
      "updated": 1625775417,
      "description": "This is my first workspace",
      "name": "sandbox",
      "created": 1625775417
    }
  ],
  "next_page_token": null
}

Returns a list of workspaces you’ve previously created. The workspaces are returned in sorted order, with the most recent workspace appearing first.

HTTP Request

GET /workspaces

HTTP Parameters

Parameter Description
query string optional, default is null Request a list of workspaces filtering it by name.
page_size integer optional, default is 10 Set the number of objects that will be listed per page.
page_token integer optional, default is null The token defines which page will be returned to the user. For further information, please check out our pagination guide.

Retrieve a workspace

To retrieve a workspace, run the following:

curl https://api.everysk.com/v2/workspaces/sandbox \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -G

The above call returns the following JSON object:

{
  "workspace": {
    "updated": 1625775417,
    "description": "This is my first workspace",
    "name": "sandbox",
    "created": 1625775417
  }
}

Retrieves the details of an existing workspace by supplying the workspace's id.

HTTP Request

GET /workspaces/:id

HTTP Parameters

Parameter Description
name string REQUIRED A unique identifier for the workspace. Every workspace name must have no spaces between the words.

Update a workspace

To update a workspace, run the following:

curl https://api.everysk.com/v2/workspaces/sandbox \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -d '{
        "name": "sandbox",
        "description": "My new workspace description"
      }' \
  -X PUT

The above call returns the following JSON object:

{
  "workspace": {
    "updated": 1625775417,
    "description": "This is my new workspace description",
    "name": "new_workspace_name",
    "created": 1625775417
  }
}

Updates a workspace and then returns the updated workspace.

HTTP Request

PUT /workspaces/:id

HTTP Parameters

Parameter Description
name string REQUIRED A unique identifier (UID) for the workspace. Every workspace name must have no spaces between the words. The workspace name can't be changed.
description string optional, default is null Use this field to provide detailed information about your workspace.

Delete a workspace

To delete a workspace, run the following:

curl https://api.everysk.com/v2/workspaces/sandbox \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -X DELETE

The above call returns the following JSON object:

{
  "workspace": {
    "deleted": true,
    "name": "sandbox"
  }
}

Permanently deletes a workspace. It cannot be undone. Returns an object with the workpaces's id and an attribute specifying whether the workspace was successfully deleted or not.

Warning: Deleting a workspace does not delete it's objects!

HTTP Request

DELETE /workspaces/:id

HTTP Parameters

Parameter Description
name string REQUIRED A unique identifier (UID) for the workspace.